Bug 816728 - [abrt] freerdp-1.0.1-5.fc17: fatal_handler: Process /usr/bin/xfreerdp was killed by signal 6 (SIGABRT)
[abrt] freerdp-1.0.1-5.fc17: fatal_handler: Process /usr/bin/xfreerdp was kil...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: freerdp (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mads Kiilerich
Fedora Extras Quality Assurance
abrt_hash:acfc1a0a09e2e99810a826712ab...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-26 15:38 EDT by Scott Tsai
Modified: 2013-07-31 23:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:30:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: environ (4.57 KB, text/plain)
2012-04-26 15:38 EDT, Scott Tsai
no flags Details
File: backtrace (13.04 KB, text/plain)
2012-04-26 15:38 EDT, Scott Tsai
no flags Details
File: maps (24.46 KB, text/plain)
2012-04-26 15:38 EDT, Scott Tsai
no flags Details
File: dso_list (5.13 KB, text/plain)
2012-04-26 15:38 EDT, Scott Tsai
no flags Details

  None (edit)
Description Scott Tsai 2012-04-26 15:38:03 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        xfreerdp --plugin rdpsnd -g 1024x768 192.168.122.157
crash_function: fatal_handler
executable:     /usr/bin/xfreerdp
kernel:         3.3.2-8.fc17.x86_64
pid:            2972
pwd:            /home/scottt
remote_result:  NOTFOUND
time:           Fri 27 Apr 2012 03:36:54 AM CST
uid:            1000
username:       scottt
var_log_messages: Apr 27 03:36:55 5220m abrt[15940]: Saved core dump of pid 2972 (/usr/bin/xfreerdp) to /var/spool/abrt/ccpp-2012-04-27-03:36:54-2972 (80646144 bytes)
xsession_errors: 

backtrace:      Text file, 13357 bytes
dso_list:       Text file, 5256 bytes
environ:        Text file, 4682 bytes
maps:           Text file, 25048 bytes

build_ids:
:f58f7f7a0f2c00780839246fd972e56e971e27d8
:20ad9f242a6a13d40812f9254ab3f7a9cd7cb9e0
:5cb52239c901fea9e4e3ba272e477c145de9fd04
:54a5cc118d928470da13565de8592b664a9868e0
:6ec94e3467955ff9b3903918eafeddd8de7f9286
:52507e2137a12692f1ab6807e247a8087d5e6b69
:93b83fd48dec23d9fd5c0f8c82737e62d7f7279e
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:b277af36744327e3d58eae76bcdaadcca71a28c6
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:adb8cce623092da5c6812cf4e20b6f97e3ebd5b1
:480ab8eb1776770bb90f2a47cc2f0258848f1cdd
:8f1ba572f27dfd702830fb5690824afb32c5f89f
:8a58512c2cc89530f70932553442289158de3083
:749e0a5146f31516ca770a4c702ab89706b4f0a6
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:4194f49481485f98de7853b6407338a4393171ac
:e91010b497ec024178c36f4365b21f668bada0ca
:835f6ea7dbdafc72eb330f0bc0257ee0dd1ec61a
:6947e315f0765bf884ecc222d91945a1e2ed8767
:6419b38400feb8414d331a1f2deebb0012d0d72e
:edad49230923d07f38eaae337455a0d56f535f11
:70f10a584fcf32ef4994cc1bc209964515ad49c9
:fcb0e62a1830aba98bff4a179981d4bc3b0b6d6b
:f549a5d6de3e683d432a578595485e0051b7bc15
:10818e21ba84b6897ec8d7ed3db9e94c71a12e41
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:67792c148d2b8f13f6732c9367e926c26d7376c5
:4c2402f7eb14f500c9ea182af6e9d84305bf91cd
:7daa21f309756eb7bf9be097b98052d5179d4599
:7b2764ec751ee57e9ba0827d2b16039549841179
:458118a56e4684bd51c51aee74e26a15161da7e3
:f6d9ea27fe04480d687ceab6122e3e75d738811a
:822e9b3523e8312240f41a25722d539bc77ed436
:e3635e2f1d47206316d5756b26012ccca8f83c67
:3d841a234804f9de6d868a27973dfa5a7f7cc23e
:0339e448510e66ad611e6f5df08565db4fe4bc23
:e9af151a65be208060d68e923986bf020f2f4828
:be14a489c1a2016cf9767dbed295c619ea4f0629
:c764f66f405b66d2251a3d1f68432a530642574d
:8032681acfadb3c8b9e0a6e74cd58d8c36363450
:73d0aa1681b513d1459b8d6e6eac95cc131868bb
:11d196ee9220c6039404f4ba675abf3a24d8f0aa
:f4f9ce91c43285df84177f9684a3e7f190a0aae1
:1309cbb736c7f597bc49f83e638fde856bfc0e11
:d804f8ee47797da9213a92f00cd095ecada8d79f
:1dbad667ccf4b57aca057808b8a4a0871960b54f
:5da8d295014010dcaf44014dbeb291b3026af3e7
:5cb8ab0bc6d840f348751a3f76f04bcb7d9df75b
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:664ed02205756e404bd2c47242bfa068fe47d85d
:1d4df97fa6024b097b634a272447243c95c26d85
:5ae17e6dc1664a4a8e3d9a700ec1b357422aed36
:60d70ee1900bad08a21b2868ad6c89150d6b4fab
:247132297f287226a24c12e683292f5c94013066
:2d920fc18d5d62c399484534249b104e12049777
:6f2ff4e6a028c4518c441caeb0f433bea79ac545
:af945724af42823d8f3ee175768dcb912e3c25a0

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/scottt/24

core_backtrace:
:70f10a584fcf32ef4994cc1bc209964515ad49c9 0xeebb raise libpthread.so.0 -
:e9af151a65be208060d68e923986bf020f2f4828 0x7f0e - libfreerdp-utils.so.1.0 -

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        unlimited            unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 61985                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       61985                61985                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/0 (deleted)
:pos:	0
:flags:	0100002
:1:/dev/pts/0 (deleted)
:pos:	0
:flags:	0100002
:2:/dev/pts/0 (deleted)
:pos:	0
:flags:	0100002
:3:pipe:[2504956]
:pos:	0
:flags:	00
:4:pipe:[2504956]
:pos:	0
:flags:	01
:5:pipe:[2504957]
:pos:	0
:flags:	00
:6:pipe:[2504957]
:pos:	0
:flags:	01
:7:socket:[2503442]
:pos:	0
:flags:	02004002
:8:socket:[2507159]
:pos:	0
:flags:	04002
:9:pipe:[2507161]
:pos:	0
:flags:	00
:10:pipe:[2507161]
:pos:	0
:flags:	01
:11:pipe:[2507162]
:pos:	0
:flags:	00
:12:pipe:[2507162]
:pos:	0
:flags:	01
:13:pipe:[2504958]
:pos:	0
:flags:	02004000
:14:pipe:[2504958]
:pos:	0
:flags:	02004001
:15:socket:[2504997]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: 7ba1c065-054d-43b7-9546-c5d6405b8e86
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5333.66
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5 CPU       M 560  @ 2.67GHz
:CPU Stepping: 5
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2667
:System Memory: 7778
:System Swap: 8191
:Vendor: Hewlett-Packard
:System: HP ProBook 5220m 
:Form factor: Notebook
:Kernel: 3.3.2-8.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:11539:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(4332:33128:4156:5181) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:11521:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:11537:32902:32902) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(5348:18215:4156:5212) pci, bcma-pci-bridge, NETWORK, BCM4313 802.11b/g/n Wireless LAN Controller
:(32902:70:4156:5181) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15176:4156:5181) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 4
:(32902:15170:4156:5181) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15115:4156:5181) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:4156:5181) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:15190:4156:5181) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:11536:32902:32902) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:9288:4156:5181) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:11362:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:15151:4156:5181) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 6 port SATA AHCI Controller
:(32902:15164:4156:5181) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:4156:5181) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:68:4156:5181) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:15204:4156:5181) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:15180:4156:5181) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 6
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda4 / ext4 4096 4096 70044651 12614417 11913526 17530880 15740020 15740020
:/dev/sda2 /boot ext4 4096 4096 1045750 929526 877098 262144 261888 261888
:
Comment 1 Scott Tsai 2012-04-26 15:38:07 EDT
Created attachment 580535 [details]
File: environ
Comment 2 Scott Tsai 2012-04-26 15:38:09 EDT
Created attachment 580536 [details]
File: backtrace
Comment 3 Scott Tsai 2012-04-26 15:38:11 EDT
Created attachment 580537 [details]
File: maps
Comment 4 Scott Tsai 2012-04-26 15:38:13 EDT
Created attachment 580538 [details]
File: dso_list
Comment 5 Mads Kiilerich 2012-04-26 17:39:44 EDT
Can you describe how to reproduce this?
Comment 6 Scott Tsai 2012-04-26 18:19:15 EDT
(In reply to comment #5)
> Can you describe how to reproduce this?

This crash could be difficult to reproduce. I was listening to an audio book through xfreerdp and after some lengthy amount of time an assertion failure in libpulse.so.0 caused xfreerdp to crash. From the backtrace:

#5  0x000000311fc219f8 in mainloop_defer_enable (e=0x7f9f88000ad0, b=<optimized out>) at pulse/mainloop.c:277

I'll reproduce the mainloop_defer_enable() function from libpulse.so below:
static void mainloop_defer_enable(pa_defer_event *e, int b) {
    pa_assert(e);
    pa_assert(!e->dead);

    if (e->enabled && !b) {
        pa_assert(e->mainloop->n_enabled_defer_events > 0);
        e->mainloop->n_enabled_defer_events--;
    } else if (!e->enabled && b) {
        e->mainloop->n_enabled_defer_events++;
        pa_mainloop_wakeup(e->mainloop);
    }

    e->enabled = b;
}

The assertion that failed is "pa_ssert(!e->dead)"


A bit more info:
I enjoy listening to audio books. Unfortunately the ones I can legally purchase can only be played under Windows. So I maintain an Windows XP virtual machine under qemu-kvm / virt-manager just for playing them.

The easiest way I've found to get audio playback to work for a VM managed by virt-manager is to connect through xfreerdp or rdesktop. In this particular bug, I ran the command:
LD_PRELOAD=/usr/lib64/libpulse.so.0 xfreerdp --plugin rdpsnd -g 1024x768 192.168.122.157

The LD_PRELOAD part was to workaround https://bugzilla.redhat.com/show_bug.cgi?id=816692
Comment 7 Mads Kiilerich 2012-04-26 19:19:57 EDT
That LD_PRELOAD do crazy stuff. If it breaks then don't do that. Please see if it can be reproduced with plain freerdp without the workaround.
Comment 8 Fedora End Of Life 2013-07-03 20:07:21 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-07-31 23:30:41 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.